darcs-2.5.2: a distributed, interactive, smart revision control system

Darcs.Repository.HashedIO

# Documentation

type HashedIO r p = StateT (HashDir r p) IO

copyHashed :: String -> Cache -> Compression -> String -> IO ()

copyPartialsHashed :: FilePathLike fp => Cache -> Compression -> String -> [fp] -> IO ()

cleanHashdir :: Cache -> HashedDir -> [String] -> IO ()

data RW

Constructors

RW |

Instances

WriteableDirectory (HashedIO RW p) |